"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const qwik = require("@builder.io/qwik");
const jsxRuntime = require("@builder.io/qwik/jsx-runtime");
const DOMPurify = require("dompurify");
const sanitize = (dirty) => {
  return DOMPurify.sanitize(dirty, {
    ALLOWED_TAGS: [
      "b",
      "i",
      "em",
      "strong",
      "a"
    ],
    ALLOWED_ATTR: [
      "href"
    ]
  });
};
const Header = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  qwik._jsxBranch();
  const text = props.data?.text;
  if (text === void 0)
    return /* @__PURE__ */ qwik._jsxC(jsxRuntime.Fragment, null, 3, "Pc_0");
  const Tag = `h${props.data?.level || 1}`;
  return /* @__PURE__ */ qwik._jsxC(Tag, {
    get class() {
      return props.class;
    },
    dangerouslySetInnerHTML: sanitize(text),
    [qwik._IMMUTABLE]: {
      class: qwik._fnSignal((p0) => p0.class, [
        props
      ], "p0.class")
    }
  }, 3, "Pc_1");
}, "Header_component_00BtXurtGeA"));
const Image = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl(({ data, actionsClassNames = {
  stretched: "image-block--stretched",
  withBorder: "image-block--with-border",
  withBackground: "image-block--with-background"
}, ...props }) => {
  const classNames = [];
  if (props.class)
    classNames.push(props.class);
  Object.keys(actionsClassNames).forEach((actionName) => {
    if (data && data[actionName] === true && actionName in actionsClassNames)
      classNames.push(actionsClassNames[actionName]);
  });
  return /* @__PURE__ */ qwik._jsxQ("figure", {
    class: classNames.length > 0 ? classNames.join(" ") : void 0
  }, null, [
    data?.file?.url && /* @__PURE__ */ qwik._jsxQ("img", {
      alt: data.caption || data.file.name,
      src: qwik._wrapSignal(data.file, "url")
    }, null, null, 3, "9w_0"),
    data?.url && /* @__PURE__ */ qwik._jsxQ("img", {
      alt: qwik._wrapSignal(data, "caption"),
      src: qwik._wrapSignal(data, "url")
    }, null, null, 3, "9w_1"),
    data?.caption && /* @__PURE__ */ qwik._jsxQ("figcaption", {
      dangerouslySetInnerHTML: sanitize(data.caption)
    }, null, null, 3, "9w_2")
  ], 1, "9w_3");
}, "Image_component_EKSyrc0i7mM"));
const Bullet = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => /* @__PURE__ */ qwik._jsxS("li", {
  ...props,
  children: /* @__PURE__ */ qwik._jsxC(qwik.Slot, null, 3, "wr_0")
}, null, 0, "wr_1"), "Bullet_component_HF0a8pquGZA"));
const Group = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const props1 = qwik._restProps(props, [
    "as",
    "items"
  ]);
  return /* @__PURE__ */ qwik._jsxC(props.as ?? "ul", {
    ...props1,
    children: props.items.map((item, i) => /* @__PURE__ */ qwik._jsxC(Bullet, {
      children: [
        /* @__PURE__ */ qwik._jsxQ("span", {
          dangerouslySetInnerHTML: sanitize(typeof item === "string" ? item : item?.content)
        }, null, null, 3, null),
        typeof item !== "string" && item?.items?.length > 0 && /* @__PURE__ */ qwik._jsxC(props.as ?? "ul", {
          get items() {
            return item.items;
          },
          ...props1,
          [qwik._IMMUTABLE]: {
            items: qwik._wrapProp(item, "items")
          }
        }, 0, "wr_2")
      ]
    }, 1, i))
  }, 0, "wr_3");
}, "Group_component_x2KItR7OUaA"));
const List = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  qwik._jsxBranch();
  const props1 = qwik._restProps(props, [
    "data"
  ]);
  const tag = props.data?.style === "ordered" ? `ol` : `ul`;
  return props.data && /* @__PURE__ */ qwik._jsxC(Group, {
    as: tag,
    get items() {
      return props.data.items;
    },
    ...props1,
    [qwik._IMMUTABLE]: {
      items: qwik._fnSignal((p0) => p0.data.items, [
        props
      ], "p0.data.items")
    }
  }, 0, "wr_4");
}, "List_component_yI0vxy92584"));
const Paragraph = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  return /* @__PURE__ */ qwik._jsxQ("p", {
    dangerouslySetInnerHTML: sanitize(props.data.text)
  }, {
    class: qwik._fnSignal((p0) => p0.class, [
      props
    ], "p0.class")
  }, null, 3, "xH_0");
}, "Paragraph_component_i0XjKMJqwog"));
const Blocks = /* @__PURE__ */ qwik.componentQrl(/* @__PURE__ */ qwik.inlinedQrl((props) => {
  const defaultRenderers = {
    // code: Code,
    // delimiter: Delimiter,
    // embed: Embed,
    header: Header,
    image: Image,
    list: List,
    paragraph: Paragraph
  };
  const availableRenderers = {
    ...defaultRenderers,
    ...props.renderers ?? {}
  };
  const hasBlockId = props.data.version?.includes("2.21");
  return /* @__PURE__ */ qwik._jsxC(jsxRuntime.Fragment, {
    children: props.data.blocks.map((block, i) => {
      qwik._jsxBranch();
      if (block.type.toString() in availableRenderers) {
        const Tag = availableRenderers[block.type];
        return /* @__PURE__ */ qwik._jsxC(Tag, {
          get data() {
            return block.data;
          },
          ...(props.config ?? {})[block.type],
          [qwik._IMMUTABLE]: {
            data: qwik._wrapProp(block, "data")
          }
        }, 0, hasBlockId && block.id ? block.id : i);
      }
    })
  }, 1, "zQ_0");
}, "Blocks_component_EaRGHQWNnn8"));
exports.Blocks = Blocks;
exports.HeaderBlock = Header;
exports.ImageBlock = Image;
exports.ListBlock = List;
exports.ParagraphBlock = Paragraph;
